* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: Arial;
}

body {
  background: #fff5f8;
  display: flex;
  justify-content: center;
  align-items: center;
  height: 100vh;
  padding: 20px;
}

.container {
  width: 100%;
  max-width: 400px;
}

.logo {
  text-align: center;
  font-size: 38px;
  font-weight: bold;
  color: #ff4f8b;
  margin-bottom: 40px;
}

form {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

input {
  width: 100%;
  height: 55px;
  border: 2px solid #ffd0de;
  border-radius: 14px;
  padding: 0 15px;
  font-size: 16px;
}

button {
  height: 55px;
  border: none;
  border-radius: 14px;
  background: #ff4f8b;
  color: white;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
  padding: 5%;
}

.popup {
  position: fixed;
  inset: 0;
  background: rgba(0, 0, 0, 0.5);
  display: none;
  justify-content: center;
  align-items: center;
  padding: 20px;
}

.popup-content {
  background: white;
  width: 100%;
  max-width: 400px;
  border-radius: 20px;
  padding: 25px;
  justify-content: center;
}

.popup-content h3 {
  margin-bottom: 15px;
}

.popup-content input {
  margin-bottom: 15px;
}

.close {
  background: #999;
  margin-top: 10px;
}

.youtube-box {
  margin-top: 20px;
  border-radius: 15px;
  overflow: hidden;
}

.youtube-box iframe {
  border-radius: 15px;
}
